'use strict';

var test = require('ava');
var reducerTest = require('redux-ava').reducerTest;

var reducer = function reducer() {
  var state = arguments.length <= 0 || arguments[0] === undefined ? initState : arguments[0];
  var _ref = arguments[1];
  var type = _ref.type;
  var payload = _ref.payload;

  var newState = void 0;
  switch (type) {
    case 'INCREMENT':
      newState = state + 1;
      break;
    case 'DECREMENT':
      newState = state - 1;
      break;
    default:
      newState = state;
  }
  return newState;
};
var actions = [{
  "action": {
    "type": "INCREMENT"
  },
  "prevState": 0,
  "nextState": 1
}, {
  "action": {
    "type": "INCREMENT"
  },
  "prevState": 1,
  "nextState": 2
}, {
  "action": {
    "type": "INCREMENT"
  },
  "prevState": 2,
  "nextState": 3
}, {
  "action": {
    "type": "INCREMENT"
  },
  "prevState": 3,
  "nextState": 4
}, {
  "action": {
    "type": "INCREMENT"
  },
  "prevState": 4,
  "nextState": 5
}];
test('INCREMENT (action index 0) should correctly update state', reducerTest(reducer, actions[0].prevState, actions[0].action, actions[0].nextState));

test('INCREMENT (action index 1) should correctly update state', reducerTest(reducer, actions[1].prevState, actions[1].action, actions[1].nextState));

test('INCREMENT (action index 2) should correctly update state', reducerTest(reducer, actions[2].prevState, actions[2].action, actions[2].nextState));

test('INCREMENT (action index 3) should correctly update state', reducerTest(reducer, actions[3].prevState, actions[3].action, actions[3].nextState));

test('INCREMENT (action index 4) should correctly update state', reducerTest(reducer, actions[4].prevState, actions[4].action, actions[4].nextState));
